package com.ruoyi.interfaces.service;

import java.util.List;
import com.ruoyi.interfaces.domain.MdDataSet;

/**
 * 数据集Service接口
 * 
 * @author 朱得糠
 * @date 2025-07-30
 */
public interface IMdDataSetService 
{
    /**
     * 查询数据集
     * 
     * @param dsCode 数据集主键
     * @return 数据集
     */
    public MdDataSet selectMdDataSetByDsCode(String dsCode);

    /**
     * 查询数据集列表
     * 
     * @param mdDataSet 数据集
     * @return 数据集集合
     */
    public List<MdDataSet> selectMdDataSetList(MdDataSet mdDataSet);

    /**
     * 新增数据集
     * 
     * @param mdDataSet 数据集
     * @return 结果
     */
    public int insertMdDataSet(MdDataSet mdDataSet);

    /**
     * 修改数据集
     * 
     * @param mdDataSet 数据集
     * @return 结果
     */
    public int updateMdDataSet(MdDataSet mdDataSet);

    /**
     * 批量删除数据集
     * 
     * @param dsCodes 需要删除的数据集主键集合
     * @return 结果
     */
    public int deleteMdDataSetByDsCodes(String[] dsCodes);

    /**
     * 删除数据集信息
     * 
     * @param dsCode 数据集主键
     * @return 结果
     */
    public int deleteMdDataSetByDsCode(String dsCode);
}
